<?php 

include_once('includes/conexao.php');

	
	if(isset($_POST['submit'])){
		
		$cliente = $_POST['cliente'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$tipo = $_POST['tipo'];
		$prestacoes = $_POST['prestacoes'];
		$taxas = $_POST['taxas'];
		$previsao = $_POST['previsao'];
		
		$v_prest = $valor / $prestacoes;
		$juros = $valor * $taxas;
		
		$total = $valor + $juros;
		

		$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$buscar_conta2 = "SELECT * FROM contas WHERE conta='$conta_origem'";
		$dados_ligar2 = mysqli_query($con,$buscar_conta2);
		$nice_query2 = mysqli_fetch_assoc($dados_ligar2);
		
		$saldo_actual_conta = $nice_query2['saldo'];
		
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
		
	$ver_se = "SELECT * FROM creditos WHERE cliente='$cliente' AND status = 'pendente'";
	$tem_um = mysqli_query($con,$ver_se);
	$contagem = mysqli_num_rows($tem_um);
	
	if($contagem ==1){
		
		echo "<script>alert('$cliente ainda tem um credito por pagar')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
	
	}elseif($saldo_actual_conta < $valor){
		
		echo "<script>alert('O valor solicitado e superior ao saldo disponivel. Temos apenas $saldo_actual_conta MT')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
	}elseif($previsao < $data){
		
		echo "<script>alert('A data prevista e inferior a data actual.)</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
	}else{
		
		$insere = "INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,previsao,status,data,hora,user,conta,garantias,estimado)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros','$total','$vendedor','$previsao','pendente','$data','$hora','$user','$conta_origem','$garantias','$estimado')";
		$linkCredito = mysqli_query($con,$insere);
		
		
		
		if($linkCredito){
			
			$insere_trasaco = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('Concessao de credito a $cliente','$valor','0','$novo_taco_actual','$conta_origem','$data','$hora','$user')";
			$julda = mysqli_query($con,$insere_trasaco);
			
			$actua = "UPDATE solicitacoes SET status='Confirmado' WHERE nome_cliente='$cliente'";
			$vamos_boy = mysqli_query($con,$actua);
			
			
			$actualiza_conta2 = "UPDATE contas SET saldo='$novo_taco_actual' WHERE conta='$conta_origem'";
			$yes_we_do2 = mysqli_query($con,$actualiza_conta2);
			
			echo "<script>alert('Credito concedido a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
			
			
		}else{
			
			echo "<script>alert('Credito FALHOU a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
		}
		
	 }
	}
	
	
	

	
	
	


?>